declare let _extends: string[];
export { _extends as extends };
export declare let plugins: string[];
export declare let settings: {
    'mdx/code-blocks': boolean;
    jest: {
        version: number;
    };
    react: {
        version: string;
    };
};
export declare let env: {
    'jest/globals': boolean;
    browser: boolean;
    mocha: boolean;
    node: boolean;
    es6: boolean;
};
export declare let overrides: ({
    files: string[];
    extends: string[];
    parser: string;
    parserOptions: {
        warnOnUnsupportedTypeScriptVersion: boolean;
        ecmaVersion: number;
        sourceType: string;
        ecmaFeatures: {
            modules: boolean;
            jsx: boolean;
        };
        extraFileExtensions?: undefined;
        extensions?: undefined;
    };
    rules: {
        'no-useless-constructor': string;
        '@typescript-eslint/no-useless-constructor': string;
        '@typescript-eslint/camelcase': string;
        'import/no-extraneous-dependencies': string;
        'import/prefer-default-export': string;
        'react/jsx-props-no-spreading': string;
        'react/no-array-index-key': string;
        'react/prop-types': string;
        'react/require-default-props': string;
        'trailing-comma': string;
        '@typescript-eslint/comma-dangle': string;
        'object-curly-newline': string;
        'react/react-in-jsx-scope': string;
        'class-methods-use-this': string;
        'arrow-body-style': string;
        'prefer-arrow-callback': string;
        'no-underscore-dangle': string;
        '@typescript-eslint/no-empty-function': string;
    };
} | {
    rules: {
        'react/jsx-uses-vars': string;
        'react/jsx-uses-react': string;
        'no-useless-constructor'?: undefined;
        '@typescript-eslint/no-useless-constructor'?: undefined;
        '@typescript-eslint/camelcase'?: undefined;
        'import/no-extraneous-dependencies'?: undefined;
        'import/prefer-default-export'?: undefined;
        'react/jsx-props-no-spreading'?: undefined;
        'react/no-array-index-key'?: undefined;
        'react/prop-types'?: undefined;
        'react/require-default-props'?: undefined;
        'trailing-comma'?: undefined;
        '@typescript-eslint/comma-dangle'?: undefined;
        'object-curly-newline'?: undefined;
        'react/react-in-jsx-scope'?: undefined;
        'class-methods-use-this'?: undefined;
        'arrow-body-style'?: undefined;
        'prefer-arrow-callback'?: undefined;
        'no-underscore-dangle'?: undefined;
        '@typescript-eslint/no-empty-function'?: undefined;
    };
    parserOptions: {
        extraFileExtensions: string[];
        ecmaVersion: number;
        sourceType: string;
        ecmaFeatures: {
            modules: boolean;
            jsx: boolean;
        };
        extensions: string[];
        warnOnUnsupportedTypeScriptVersion?: undefined;
    };
    name?: string;
    files: (string | string[])[];
    ignores?: string[];
    languageOptions?: import(".pnpm/eslint@9.10.0/node_modules/eslint").Linter.LanguageOptions;
    linterOptions?: import(".pnpm/eslint@9.10.0/node_modules/eslint").Linter.LinterOptions;
    processor?: string | import(".pnpm/eslint@9.10.0/node_modules/eslint").Linter.Processor<string | import(".pnpm/eslint@9.10.0/node_modules/eslint").Linter.ProcessorFile>;
    plugins?: Record<string, import(".pnpm/eslint@9.10.0/node_modules/eslint").ESLint.Plugin>;
    settings?: Record<string, unknown>;
    extends: string[];
    parser?: undefined;
} | {
    name?: string;
    files: string | (string | string[])[];
    ignores?: string[];
    languageOptions?: import(".pnpm/eslint@9.10.0/node_modules/eslint").Linter.LanguageOptions;
    linterOptions?: import(".pnpm/eslint@9.10.0/node_modules/eslint").Linter.LinterOptions;
    processor?: string | import(".pnpm/eslint@9.10.0/node_modules/eslint").Linter.Processor<string | import(".pnpm/eslint@9.10.0/node_modules/eslint").Linter.ProcessorFile>;
    plugins?: Record<string, import(".pnpm/eslint@9.10.0/node_modules/eslint").ESLint.Plugin>;
    rules?: Partial<import(".pnpm/eslint@9.10.0/node_modules/eslint").Linter.RulesRecord>;
    settings?: Record<string, unknown>;
    extends?: undefined;
    parser?: undefined;
    parserOptions?: undefined;
})[];
